PHP

アプリ開発の際のPHP、フレームワークのバージョンについて

コミュニティ: 

お世話になっております。
チュートリアルではアプリ作成に必要なバージョンが書いてありましたが、
実際に作成するときに絶対に満たさなければならないPHPやフレームワークの条件はありますでしょうか?
弊社がPHP 7系、laravel5系を使用してサイトを運営しているため、
そこに組み込みたいのですがもしこの条件ではできない等ありましたらご回答いただければ幸いです。

汎用での在庫連携で設定する在庫更新用URLについて

汎用で店舗情報を新規登録する場合、在庫更新用URLの項目について
特定の名称を使用しなければならないと言ったルールがあればお教え下さい。

例えば以下の「UpdateStock.php」等、決まったファイル名にする必要がありますか?
http://ストア様ドメイン名/UpdateStock.php

また、php以外にjspでも問題はないでしょうか?

バッチ処理で受注情報取得をしたデータについて

現在、バッチ処理で定期的に受注データ取得を行う処理を開発しております。

そこで一点教えていただきたく思っております。

通常データであれば、受注ステータスが「納品書印刷待ち」のデータを取得し、API機能の「納品書印刷済み」を動かすことで
重複取得されないようにする事が可能だと思っております。
ですが、キャンセルデータ(受注キャンセル区分が'0'以外のデータ)に関しては更新できる機能がありません。
何度も取得対象となってしまいます。
APIで更新可能な項目で、データ取得済が判断できるように使用できる項目はありますでしょうか?
もしくはAPIで取得した場合に自動更新されている項目があるのであれば、そちらを取得条件と致しますので
ご教授願えればと思います。

以上、よろしくお願いいたします。

PHP版SDKのバージョン管理について

コミュニティ: 

PHP版SDKについて質問です。
SDKはzip経由でしか入手できないのでしょうか?

SDKがアップデートされているか否かが都度DLしてdiffを見ないと分からず、アップデートの管理が面倒です。
SDKがバージョン管理されているリポジトリはありますか?それを公開することはできますか?
もしくは、例えばpackagist.orgに登録し、composer経由でSDKインストールできるようにできないでしょうか。

企業情報取得で「002002 access_tokenが不正です」のエラーが出る

現在ネクストエンジンアプリの認証処理を実装しています。
ネクストエンジンからアプリへリダイレクトし、アクセストークンの取得まではできているのですが、
取得できたアクセストークンを使用して /api_v1_login_company/info のAPIをコールすると

002002 access_token[xxxxx]が不正です。

のエラーが返ってきてしまいます。
アクセストークンはAPIから返却されたものをそのまま使用しており、キャッシュやデータベース等の値は参照しておりません。
何を間違えているか教えて頂けると幸いです。

アプリのIDは69856です。